Unable to update firmware

Posted on
  • Hi,

    I saw other posts say having difficulties with firmware update, but I've not found a solution for my case.

    It's the first time I do the update. My phone is an Honor 8 with Android 7.0.

    I tried with firmware version 2V05 and 2V06.

    I used nRF Toolbox as suggested.

    Each upload attempt lasts between 1% to 5% (really rare), then encauters an error saying: INVALID OBJECT.

    If I try immediately after, the error message becomes OPERATION NOT PERMITTED.

    Fortunately, the Toolbox keeps the last uploaded point so I managed, in almost 1 hour, to reach 100%.
    I tried every possible combination:
    switching on/off the bangle, the app, the phone bluetooth...
    with/without Wi-Fi, with/without location...
    Nothing changes :(

    At the end, once upload completed with a confirmation message I restarted the bangle but it is not booting correctly, It says:

    sw reset
    dfu zyos
    
    booting...
    btn1 = reboot
    

    and nothing happens anymore.

    Please, can you help me?

    Thank you very much

  • Wow, that is strange. Honestly, it sounds like an issue with the phone. Do you have another device that you might be able to try with?

    You could also try the Espruino Web IDE from a laptop:

    https://www.espruino.com/ide/

    Go to settings -> flasher -> flash firmware

    On some platforms it doesn't seem to work correctly, but as your bangle isn't working anyway it's worth a try.

  • As suggested here, maybe it helps to activate Packet receipt notification procedure and/or lower the number of packets (default is 12, see this link).

    To adjust, go to nRF Toolbox -> DFU -> 3 dots top right -> Settings

  • Hi
    Noob question, but if I just got my Bangle.js today do I need to update the firmware and where is the best guide to do that?
    Thanks

  • I think I am on 2.6 (from the about app), so I think I am good for now right?
    Also, I fond the guide for flashing the firmware (http://www.espruino.com/Bangle.js#firmwa­re-updates), sorry about that. the first place I looked lol

  • @DrBard yes, Bangles I've been sending out for the last few weeks have the 2v06 firmware so you're good for a while :)

  • @Gordon Awsome, thanks :-) can't wait to start playing around

  • Yes, it works! Great. I missed that solution while searching in the forum.

    Thank you so much!

    PS. I activated "Packet receipt notification" and set 5 as number of packets

  • Thank you Gordon for the support, sorry for the delayed answer.

    As my reply to Raik, I was able to complete the flash by setting the "Packet receipt notification" option and lowering the number of packets to 5.

    I solved initially with my girlfriend's IPhone 8, with the default settings everything worked fine immediately.

    Maybe there is something with my phone bluetooth... the Gadgetbridge application doesn't recognize the Bangle :(

    Do you have any suggestion to try?

    Up to now I've never tried the web ide but I'll definetly give it a try.

    Thanks!

  • Gadgetbridge application doesn't recognize the Bangle :(

    Probably best to start another thread for that but this has been covered a few places:

    • Have you paired with your phone's Bluetooth first. Ideally you shouldn't be paired with your phone when running Gadgetbridge
    • Do not use the Gadgetbridge from the Google Play store - it's unofficial, and out of date (so is too old to support Bangle.js). You need to use the F-Droid version: https://f-droid.org/app/nodomain.freeyou¬≠rgadget.gadgetbridge
  • Solved! Yes, I had to unpair the bangle and pair it again with gadgetbridge. Now everything fine!

    I already have the F-Droid version :)

    Thank you very much!!

    Sorry for not having started another thread

  • Great - glad you got it sorted!

  • Post a reply
    • Bold
    • Italics
    • Link
    • Image
    • List
    • Quote
    • code
    • Preview
About

Unable to update firmware

Posted by Avatar for emanuele @emanuele

Actions